XFilterEvent(3) | Library Functions Manual | XFilterEvent(3)

# NAME

XFilterEvent - filter X events for an input method

# SYNTAX

Bool XFilterEvent(XEvent *event, Window w);

# ARGUMENTS

event
  Specifies the event to filter.
w
  Specifies the window for which the filter is to be applied.

# DESCRIPTION

If the window argument is None, XFilterEvent applies the filter to the window specified in the XEvent structure. The window argument is provided so that layers above Xlib that do event redirection can indicate to which window an event has been redirected.

If XFilterEvent returns True, then some input method has filtered the event, and the client should discard the event. If XFilterEvent returns False, then the client should continue processing the event.

If a grab has occurred in the client and XFilterEvent returns True, the client should ungrab the keyboard.

# SEE ALSO

XNextEvent(3)
Xlib - C Language X Interface

X Version 11 | XLIB FUNCTIONS